Name:           w_scan
Version:        20081106
Release:        1%{?dist}
Summary:        Tool for scanning DVB-C/T transponders

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://wirbel.htpc-forum.de/w_scan/index2.html
Source0:        http://wirbel.htpc-forum.de/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The w_scan tool is similar to dvbscan from dvb-apps. However it does not 
require initial tuning data and thus is able to find more channels.
Note that w_scan does not support DVB-S (only DVB-C/T).

%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -pm 755 w_scan $RPM_BUILD_ROOT%{_bindir}
install -pm 755 w_scan_start.sh $RPM_BUILD_ROOT%{_bindir}
install -pm 644 pci.classes $RPM_BUILD_ROOT%{_datadir}/%{name}
install -pm 644 pci.ids $RPM_BUILD_ROOT%{_datadir}/%{name}
install -pm 644 usb.classes $RPM_BUILD_ROOT%{_datadir}/%{name}
install -pm 644 usb.ids $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/%{name}
%{_bindir}/%{name}_start.sh
%{_datadir}/%{name}

%changelog
* Wed Jan 21 2009 Felix Kaechele <felix at fetzig dot org> - 20081106-1
- Initial build
